# coding: utf-8
import os
import sys

from pip.download import PipSession
from pip.req.req_file import parse_requirements
from setuptools import find_packages
from setuptools import setup


def _get_requirements(file_path):
    pip_session = PipSession()
    requirements = parse_requirements(file_path, session=pip_session)

    return tuple(str(requirement.req) for requirement in requirements)


def main():
    setup(
        name='m3-dev-utils',
        author=u'Andrey Chagochkin',
        author_email='andrey.chagochkin@bars-open.ru',
        description=(
            u'Инструментарий разработчика веб-приложений на платформе M3.'
        ),
        url=(
            'https://stash.bars-open.ru/users/andrey.chagochkin/repos/'
            'm3-dev-utils'
        ),
        package_dir={'': 'src'},
        packages=find_packages('src', exclude=('tests', 'tests.*')),
        include_package_data=True,
        dependency_links=(
            'http://pypi.bars-open.ru/simple/m3-builder',
        ),
        setup_requires=(
            'm3-builder>=1.0.1',
        ),
        install_requires=_get_requirements('requirements/prod.txt'),
        set_build_info=os.path.join(os.path.dirname(__file__)),
    )


if __name__ == '__main__':
    main()
